Bug 262300 - Crash on clicking 'Create File' in dropdown menu in 'Projects' dock
Summary: Crash on clicking 'Create File' in dropdown menu in 'Projects' dock
Status: RESOLVED FIXED
Alias: None
Product: kdevelop
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: 4.2.0
Assignee: kdevelop-bugs-null
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-06 14:04 UTC by Alexey Chernov
Modified: 2013-10-08 00:49 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Chernov 2011-01-06 14:04:40 UTC
Application: kdevelop (4.1.81)
KDE Platform Version: 4.5.4 (KDE 4.5.4) (Compiled from sources)
Qt Version: 4.7.1
Operating System: Linux 2.6.36.1 x86_64

-- Information about the crash:
KDevelop crashes when while editing CMakeLists.txt file for CMake project I click on subdirectory and tried to create a file using Create File option in the menu.

-- Backtrace:
Application: KDevelop (kdevelop), signal: Segmentation fault
[Current thread is 1 (Thread 0x7fce4fc0a760 (LWP 6526))]

Thread 13 (Thread 0x7fce2aaf8710 (LWP 6527)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1  0x00007fce4b691ab8 in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x26d8230, time=1000) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x26d8230, time=1000) at thread/qwaitcondition_unix.cpp:160
#3  0x00007fce47b23122 in KDevelop::DUChainPrivate::CleanupThread::run (this=0x26d8210) at /usr/src/packages/kdevplatform-1.1.81/language/duchain/duchain.cpp:286
#4  0x00007fce4b690e07 in QThreadPrivate::start (arg=0x26d8210) at thread/qthread_unix.cpp:285
#5  0x00007fce4b3edaca in start_thread (arg=<value optimized out>) at pthread_create.c:297
#6  0x00007fce498cf58d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 12 (Thread 0x7fce254ce710 (LWP 6530)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fce4b691b53 in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x2f93020, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2f93020, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007fce4e12a271 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2fba790, th=0x2f754a0)
    at /usr/src/packages/kde4/4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fce4e12e480 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2f829a0, th=0x2f754a0) at /usr/src/packages/kde4/4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fce4e12e499 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2f829a0, th=0x2f754a0) at /usr/src/packages/kde4/4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007fce4e12c9c4 in ThreadWeaver::ThreadRunHelper::run (this=0x7fce254cde30, parent=0x2fba790, th=0x2f754a0) at /usr/src/packages/kde4/4.5.4/kdelibs-4.5.4/threadweaver/Weaver/Thread.cpp:87
#7  0x00007fce4e12cac4 in ThreadWeaver::Thread::run (this=0x2f754a0) at /usr/src/packages/kde4/4.5.4/kdelibs-4.5.4/threadweaver/Weaver/Thread.cpp:142
#8  0x00007fce4b690e07 in QThreadPrivate::start (arg=0x2f754a0) at thread/qthread_unix.cpp:285
#9  0x00007fce4b3edaca in start_thread (arg=<value optimized out>) at pthread_create.c:297
#10 0x00007fce498cf58d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 11 (Thread 0x7fce1e126710 (LWP 6836)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fce48843705 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=<value optimized out>) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x00007fce488437a9 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0x7fce48b691d4) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x00007fce4b3edaca in start_thread (arg=<value optimized out>) at pthread_create.c:297
#4  0x00007fce498cf58d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 10 (Thread 0x7fce1d80d710 (LWP 6848)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fce4b691b53 in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x2f93020, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2f93020, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007fce4e12a271 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2fba790, th=0x30effb0)
    at /usr/src/packages/kde4/4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fce4e12e480 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2f829a0, th=0x30effb0) at /usr/src/packages/kde4/4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fce4e12c9c4 in ThreadWeaver::ThreadRunHelper::run (this=0x7fce1d80ce30, parent=0x2fba790, th=0x30effb0) at /usr/src/packages/kde4/4.5.4/kdelibs-4.5.4/threadweaver/Weaver/Thread.cpp:87
#6  0x00007fce4e12cac4 in ThreadWeaver::Thread::run (this=0x30effb0) at /usr/src/packages/kde4/4.5.4/kdelibs-4.5.4/threadweaver/Weaver/Thread.cpp:142
#7  0x00007fce4b690e07 in QThreadPrivate::start (arg=0x30effb0) at thread/qthread_unix.cpp:285
#8  0x00007fce4b3edaca in start_thread (arg=<value optimized out>) at pthread_create.c:297
#9  0x00007fce498cf58d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 9 (Thread 0x7fce0dea4710 (LWP 6954)):
#0  0x00007fce498c6273 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fce445d3ac9 in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#2  0x00007fce445d3eac in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007fce4b7db1c6 in QEventDispatcherGlib::processEvents (this=0x36e7ba0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#4  0x00007fce4b7a4f62 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007fce4b7a5345 in QEventLoop::exec (this=0x7fce0dea3de0, flags=) at kernel/qeventloop.cpp:201
#6  0x00007fce4b68de17 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#7  0x00007fce47c4e2f5 in KDevelop::CompletionWorkerThread::run (this=0x7fce208ed110) at /usr/src/packages/kdevplatform-1.1.81/language/codecompletion/codecompletionmodel.cpp:80
#8  0x00007fce4b690e07 in QThreadPrivate::start (arg=0x7fce208ed110) at thread/qthread_unix.cpp:285
#9  0x00007fce4b3edaca in start_thread (arg=<value optimized out>) at pthread_create.c:297
#10 0x00007fce498cf58d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 8 (Thread 0x7fce0e6a5710 (LWP 6955)):
#0  0x00007fce498c6273 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fce445d3ac9 in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#2  0x00007fce445d3eac in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007fce4b7db1c6 in QEventDispatcherGlib::processEvents (this=0x36e6c10, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#4  0x00007fce4b7a4f62 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007fce4b7a5345 in QEventLoop::exec (this=0x7fce0e6a4de0, flags=) at kernel/qeventloop.cpp:201
#6  0x00007fce4b68de17 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#7  0x00007fce47c4e2f5 in KDevelop::CompletionWorkerThread::run (this=0x7fce20a427b0) at /usr/src/packages/kdevplatform-1.1.81/language/codecompletion/codecompletionmodel.cpp:80
#8  0x00007fce4b690e07 in QThreadPrivate::start (arg=0x7fce20a427b0) at thread/qthread_unix.cpp:285
#9  0x00007fce4b3edaca in start_thread (arg=<value optimized out>) at pthread_create.c:297
#10 0x00007fce498cf58d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 7 (Thread 0x7fce0b10f710 (LWP 6974)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fce4349a7bd in WTF::TCMalloc_PageHeap::scavengerThread() () from /usr/lib/libQtWebKit.so.4
#2  0x00007fce4349a8c9 in WTF::TCMalloc_PageHeap::runScavengerThread(void*) () from /usr/lib/libQtWebKit.so.4
#3  0x00007fce4b3edaca in start_thread (arg=<value optimized out>) at pthread_create.c:297
#4  0x00007fce498cf58d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 6 (Thread 0x7fce093f5710 (LWP 6990)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fce4b691b53 in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x16e3bf0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x16e3bf0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007fce4e12a271 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x17da4b0, th=0x4390520)
    at /usr/src/packages/kde4/4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fce4e12e480 in ThreadWeaver::WorkingHardState::applyForWork (this=0x16e4610, th=0x4390520) at /usr/src/packages/kde4/4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fce4e12e499 in ThreadWeaver::WorkingHardState::applyForWork (this=0x16e4610, th=0x4390520) at /usr/src/packages/kde4/4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007fce4e12c9c4 in ThreadWeaver::ThreadRunHelper::run (this=0x7fce093f4e30, parent=0x17da4b0, th=0x4390520) at /usr/src/packages/kde4/4.5.4/kdelibs-4.5.4/threadweaver/Weaver/Thread.cpp:87
#7  0x00007fce4e12cac4 in ThreadWeaver::Thread::run (this=0x4390520) at /usr/src/packages/kde4/4.5.4/kdelibs-4.5.4/threadweaver/Weaver/Thread.cpp:142
#8  0x00007fce4b690e07 in QThreadPrivate::start (arg=0x4390520) at thread/qthread_unix.cpp:285
#9  0x00007fce4b3edaca in start_thread (arg=<value optimized out>) at pthread_create.c:297
#10 0x00007fce498cf58d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 5 (Thread 0x7fce08bf4710 (LWP 6991)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fce4b691b53 in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x16e3bf0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x16e3bf0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007fce4e12a271 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x17da4b0, th=0x7fce102276a0)
    at /usr/src/packages/kde4/4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fce4e12e480 in ThreadWeaver::WorkingHardState::applyForWork (this=0x16e4610, th=0x7fce102276a0) at /usr/src/packages/kde4/4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fce4e12c9c4 in ThreadWeaver::ThreadRunHelper::run (this=0x7fce08bf3e30, parent=0x17da4b0, th=0x7fce102276a0) at /usr/src/packages/kde4/4.5.4/kdelibs-4.5.4/threadweaver/Weaver/Thread.cpp:87
#6  0x00007fce4e12cac4 in ThreadWeaver::Thread::run (this=0x7fce102276a0) at /usr/src/packages/kde4/4.5.4/kdelibs-4.5.4/threadweaver/Weaver/Thread.cpp:142
#7  0x00007fce4b690e07 in QThreadPrivate::start (arg=0x7fce102276a0) at thread/qthread_unix.cpp:285
#8  0x00007fce4b3edaca in start_thread (arg=<value optimized out>) at pthread_create.c:297
#9  0x00007fce498cf58d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 4 (Thread 0x7fce24ccd710 (LWP 7033)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1  0x00007fce4b691ab8 in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x2fca470, time=30000) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2fca470, time=30000) at thread/qwaitcondition_unix.cpp:160
#3  0x00007fce4b68500e in QThreadPoolThread::run (this=0x2fd13c0) at concurrent/qthreadpool.cpp:140
#4  0x00007fce4b690e07 in QThreadPrivate::start (arg=0x2fd13c0) at thread/qthread_unix.cpp:285
#5  0x00007fce4b3edaca in start_thread (arg=<value optimized out>) at pthread_create.c:297
#6  0x00007fce498cf58d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 3 (Thread 0x7fce1effd710 (LWP 7115)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fce4b691b53 in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x2f93020, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2f93020, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007fce4e12a271 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2fba790, th=0x62792d0)
    at /usr/src/packages/kde4/4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fce4e12e480 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2f829a0, th=0x62792d0) at /usr/src/packages/kde4/4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fce4e12e499 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2f829a0, th=0x62792d0) at /usr/src/packages/kde4/4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007fce4e12c9c4 in ThreadWeaver::ThreadRunHelper::run (this=0x7fce1effce30, parent=0x2fba790, th=0x62792d0) at /usr/src/packages/kde4/4.5.4/kdelibs-4.5.4/threadweaver/Weaver/Thread.cpp:87
#7  0x00007fce4e12cac4 in ThreadWeaver::Thread::run (this=0x62792d0) at /usr/src/packages/kde4/4.5.4/kdelibs-4.5.4/threadweaver/Weaver/Thread.cpp:142
#8  0x00007fce4b690e07 in QThreadPrivate::start (arg=0x62792d0) at thread/qthread_unix.cpp:285
#9  0x00007fce4b3edaca in start_thread (arg=<value optimized out>) at pthread_create.c:297
#10 0x00007fce498cf58d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 2 (Thread 0x7fce1f7fe710 (LWP 7116)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fce4b691b53 in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x2f93020, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2f93020, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007fce4e12a271 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2fba790, th=0x85f9a80)
    at /usr/src/packages/kde4/4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fce4e12e480 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2f829a0, th=0x85f9a80) at /usr/src/packages/kde4/4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fce4e12c9c4 in ThreadWeaver::ThreadRunHelper::run (this=0x7fce1f7fde30, parent=0x2fba790, th=0x85f9a80) at /usr/src/packages/kde4/4.5.4/kdelibs-4.5.4/threadweaver/Weaver/Thread.cpp:87
#6  0x00007fce4e12cac4 in ThreadWeaver::Thread::run (this=0x85f9a80) at /usr/src/packages/kde4/4.5.4/kdelibs-4.5.4/threadweaver/Weaver/Thread.cpp:142
#7  0x00007fce4b690e07 in QThreadPrivate::start (arg=0x85f9a80) at thread/qthread_unix.cpp:285
#8  0x00007fce4b3edaca in start_thread (arg=<value optimized out>) at pthread_create.c:297
#9  0x00007fce498cf58d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 1 (Thread 0x7fce4fc0a760 (LWP 6526)):
[KCrash Handler]
#6  0x00007fce100000e8 in ?? ()
#7  0x00007fce0c58efcb in ProjectManagerViewPlugin::createFileFromContextMenu (this=0x33ad1c0) at /usr/src/packages/kdevplatform-1.1.81/plugins/projectmanagerview/projectmanagerviewplugin.cpp:571
#8  0x00007fce0c58f360 in ProjectManagerViewPlugin::qt_metacall (this=0x33ad1c0, _c=QMetaObject::InvokeMetaMethod, _id=15, _a=0x7fff7e99d990)
    at /usr/src/packages/kdevplatform-1.1.81/build/plugins/projectmanagerview/projectmanagerviewplugin.moc:124
#9  0x00007fce4b7c478f in QMetaObject::activate (sender=0x7a6cfe0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fff7e99d990) at kernel/qobject.cpp:3272
#10 0x00007fce4a761d12 in QAction::triggered (this=0x7fce102b9e40, _t1=false) at .moc/debug-shared/moc_qaction.cpp:263
#11 0x00007fce4a7627cb in QAction::activate (this=0x7a6cfe0, event=<value optimized out>) at kernel/qaction.cpp:1257
#12 0x00007fce4ac88af1 in QMenuPrivate::activateCausedStack (this=<value optimized out>, causedStack=..., action=0x7a6cfe0, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:993
#13 0x00007fce4ac8fdfb in QMenuPrivate::activateAction (this=0x85f3b20, action=0x7a6cfe0, action_e=QAction::Trigger, self=<value optimized out>) at widgets/qmenu.cpp:1085
#14 0x00007fce4c07ade2 in KMenu::mouseReleaseEvent (this=0x7fff7e99f350, e=0x7fff7e99e830) at /usr/src/packages/kde4/4.5.4/kdelibs-4.5.4/kdeui/widgets/kmenu.cpp:471
#15 0x00007fce4a7cf4c1 in QWidget::event (this=0x7fff7e99f350, event=0x7fff7e99e830) at kernel/qwidget.cpp:8200
#16 0x00007fce4ac939db in QMenu::event (this=0x7fff7e99f350, e=0x7fff7e99e830) at widgets/qmenu.cpp:2410
#17 0x00007fce4a769af0 in QApplicationPrivate::notify_helper (this=0x1421f90, receiver=0x7fff7e99f350, e=0x7fff7e99e830) at kernel/qapplication.cpp:4445
#18 0x00007fce4a777b3e in QApplication::notify (this=0x7fff7e9a1390, receiver=<value optimized out>, e=0x7fff7e99e830) at kernel/qapplication.cpp:4006
#19 0x00007fce4bfaccf1 in KApplication::notify (this=0x7fff7e9a1390, receiver=0x7fff7e99f350, event=0x7fff7e99e830) at /usr/src/packages/kde4/4.5.4/kdelibs-4.5.4/kdeui/kernel/kapplication.cpp:310
#20 0x000000000040514c in KDevelopApplication::notify (this=0x7fff7e9a1390, receiver=0x7fff7e99f350, event=0x7fff7e99e830) at /usr/src/packages/kdevelop-4.1.81/app/main.cpp:90
#21 0x00007fce4b7a636b in QCoreApplication::notifyInternal (this=0x7fff7e9a1390, receiver=0x7fff7e99f350, event=0x7fff7e99e830) at kernel/qcoreapplication.cpp:732
#22 0x00007fce4a76dd39 in QCoreApplication::sendEvent (receiver=0x7fff7e99f350, event=0x7fff7e99e830, alienWidget=0x0, nativeWidget=0x7fff7e99f350, buttonDown=<value optimized out>, 
    lastMouseReceiver=<value optimized out>, spontaneous=true) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#23 QApplicationPrivate::sendMouseEvent (receiver=0x7fff7e99f350, event=0x7fff7e99e830, alienWidget=0x0, nativeWidget=0x7fff7e99f350, buttonDown=<value optimized out>, 
    lastMouseReceiver=<value optimized out>, spontaneous=true) at kernel/qapplication.cpp:3105
#24 0x00007fce4a808fa2 in QETWidget::translateMouseEvent (this=0x7fff7e99f350, event=<value optimized out>) at kernel/qapplication_x11.cpp:4372
#25 0x00007fce4a8072cc in QApplication::x11ProcessEvent (this=<value optimized out>, event=0x7fff7e99efb0) at kernel/qapplication_x11.cpp:3564
#26 0x00007fce4a837712 in x11EventSourceDispatch (s=0x1425c90, callback=<value optimized out>, user_data=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:146
#27 0x00007fce445d33fc in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#28 0x00007fce445d3ce8 in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#29 0x00007fce445d3eac in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#30 0x00007fce4b7db173 in QEventDispatcherGlib::processEvents (this=0x13d8d80, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:415
#31 0x00007fce4a83703e in QGuiEventDispatcherGlib::processEvents (this=0x7fce102b9e40, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#32 0x00007fce4b7a4f62 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#33 0x00007fce4b7a5345 in QEventLoop::exec (this=0x7fff7e99f2e0, flags=) at kernel/qeventloop.cpp:201
#34 0x00007fce4ac8d355 in QMenu::exec (this=<value optimized out>, p=..., action=0x0) at widgets/qmenu.cpp:2054
#35 0x00007fce0c598e77 in ProjectTreeView::popupContextMenu (this=0x34d54d0, pos=...) at /usr/src/packages/kdevplatform-1.1.81/plugins/projectmanagerview/projecttreeview.cpp:217
#36 0x00007fce0c599760 in ProjectTreeView::qt_metacall (this=0x34d54d0, _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0x7fff7e99f6d0)
    at /usr/src/packages/kdevplatform-1.1.81/build/plugins/projectmanagerview/projecttreeview.moc:81
#37 0x00007fce4b7c478f in QMetaObject::activate (sender=0x34d54d0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fff7e99d990) at kernel/qobject.cpp:3272
#38 0x00007fce4a7c0342 in QWidget::customContextMenuRequested (this=0x7fce102b9e40, _t1=<value optimized out>) at .moc/debug-shared/moc_qwidget.cpp:360
#39 0x00007fce4a7cfa51 in QWidget::event (this=0x34d54d0, event=0x7fff7e9a0520) at kernel/qwidget.cpp:8370
#40 0x00007fce4ac3edb4 in QFrame::event (this=0x34d54d0, e=0x7fff7e9a0520) at widgets/qframe.cpp:557
#41 0x00007fce4ada656b in QAbstractItemView::viewportEvent (this=0x34d54d0, event=0x7fff7e9a0520) at itemviews/qabstractitemview.cpp:1619
#42 0x00007fce4adedf05 in QTreeView::viewportEvent (this=0x34d54d0, event=0x7fff7e9a0520) at itemviews/qtreeview.cpp:1256
#43 0x00007fce4b7a6008 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<value optimized out>, receiver=0x35d48a0, event=0x7fff7e9a0520) at kernel/qcoreapplication.cpp:847
#44 0x00007fce4a769adc in QApplicationPrivate::notify_helper (this=0x1421f90, receiver=0x35d48a0, e=0x7fff7e9a0520) at kernel/qapplication.cpp:4441
#45 0x00007fce4a7775c4 in QApplication::notify (this=<value optimized out>, receiver=<value optimized out>, e=0x7fff7e9a0520) at kernel/qapplication.cpp:4085
#46 0x00007fce4bfaccf1 in KApplication::notify (this=0x7fff7e9a1390, receiver=0x35d48a0, event=0x7fff7e9a0520) at /usr/src/packages/kde4/4.5.4/kdelibs-4.5.4/kdeui/kernel/kapplication.cpp:310
#47 0x000000000040514c in KDevelopApplication::notify (this=0x7fff7e9a1390, receiver=0x35d48a0, event=0x7fff7e9a0520) at /usr/src/packages/kdevelop-4.1.81/app/main.cpp:90
#48 0x00007fce4b7a636b in QCoreApplication::notifyInternal (this=0x7fff7e9a1390, receiver=0x35d48a0, event=0x7fff7e9a0520) at kernel/qcoreapplication.cpp:732
#49 0x00007fce4a808b38 in QETWidget::translateMouseEvent (this=<value optimized out>, event=<value optimized out>) at kernel/qapplication_x11.cpp:4443
#50 0x00007fce4a8072cc in QApplication::x11ProcessEvent (this=<value optimized out>, event=0x7fff7e9a0cd0) at kernel/qapplication_x11.cpp:3564
#51 0x00007fce4a837712 in x11EventSourceDispatch (s=0x1425c90, callback=<value optimized out>, user_data=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:146
#52 0x00007fce445d33fc in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#53 0x00007fce445d3ce8 in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#54 0x00007fce445d3eac in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#55 0x00007fce4b7db173 in QEventDispatcherGlib::processEvents (this=0x13d8d80, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:415
#56 0x00007fce4a83703e in QGuiEventDispatcherGlib::processEvents (this=0x7fce102b9e40, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#57 0x00007fce4b7a4f62 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#58 0x00007fce4b7a5345 in QEventLoop::exec (this=0x7fff7e9a1000, flags=) at kernel/qeventloop.cpp:201
#59 0x00007fce4b7ab6ab in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#60 0x000000000040b6a5 in main (argc=1, argv=0x7fff7e9a3168) at /usr/src/packages/kdevelop-4.1.81/app/main.cpp:468

Possible duplicates by query: bug 226553.

Reported using DrKonqi
Comment 1 Milian Wolff 2011-01-06 14:31:33 UTC
Looks like an item got deleted for which the context menu was requested... There is simply no safeguard against it, we really need smart pointers in the project model... *sigh*

thanks for the report, I wonder whether there is something we can do in the short term to workaround this, like saving urls + project + itemtype or something like that in the project manager plugin context menu items...
Comment 2 Aleix Pol 2011-01-09 18:51:37 UTC
Are you sure that's the reason? In my system I have an if() in that line...
I think that the case that the folder for which you are trying to add a file has been removed is unlikely.

We can do better in that code without rewriting the project model.
Comment 3 Milian Wolff 2011-01-09 22:46:10 UTC
When I checked I had something like

if(item->...)

in the loc that crashed, with the item coming out of the d->ctxMenuItems container or how that was called. Really, it is an invalid item. The only way to prevent against this (hopefully very rare) case where items get deleted while the context menu is shown, is to

a) store PDOs (KUrl and maybe more to speedup the lookup process), or 
b) rewrite the project api to use smart pointers

I'd like to have b eventually, but a would do for a quick'n'dirty workaround. Btw. Andreas confirmed this.
Comment 4 Aleix Pol 2011-01-09 22:57:04 UTC
In this case it looks like a bug in the project manager, apparently the folder is not removed.

But yes, some refactoring is needed. I'd like to note, though, that a typical shared pointer is not valid here, because the best case in that regard is to report that we're trying to add a file to a wrong folder (instead of crashing of course), so storing that information doesn't make much sense.

The quick fix here is to store the url and lookup the item, anyway. Actually the addFile method shouldn't be in the API anyway, because all the project managers end up by watching the filesystem so the way to add a file to a project is to actually create the file.
Comment 5 Aleix Pol 2013-10-08 00:49:08 UTC
Git commit 0abcf15da28e21b033d66daf2ea0e6a4ce413601 by Aleix Pol.
Committed on 08/10/2013 at 00:48.
Pushed by apol into branch 'master'.

Don't store pointers ProjectBaseItem in classes

They could be deleted before used. Store the model index instead.

M  +28   -15   plugins/projectmanagerview/projectmanagerviewplugin.cpp

http://commits.kde.org/kdevplatform/0abcf15da28e21b033d66daf2ea0e6a4ce413601